diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/ctrl-headers.h ns-3.44/src/wifi/model/ctrl-headers.h
--- ns-3.43/src/wifi/model/ctrl-headers.h	2024-10-09 16:41:10.116656800 -0700
+++ ns-3.44/src/wifi/model/ctrl-headers.h	2025-03-09 16:55:49.783372600 -0700
@@ -26,16 +26,16 @@
 enum AcIndex : uint8_t;
 
 /**
- * \ingroup wifi
- * \brief Headers for BlockAckRequest.
+ * @ingroup wifi
+ * @brief Headers for BlockAckRequest.
  *
- *  802.11n standard includes three types of BlockAck:
- *    - Basic BlockAck (unique type in 802.11e)
- *    - Compressed BlockAck
- *    - Multi-TID BlockAck
- *  For now only basic BlockAck and compressed BlockAck
- *  are supported.
- *  Basic BlockAck is also default variant.
+ *  802.11 standard includes multiple BlockAckReq variants:
+ *    - Basic BlockAckReq (unique type in 802.11e)
+ *    - Compressed BlockAckReq
+ *    - Multi-TID BlockAckReq
+ *    - GCR BlockAckReq
+ *  For now only basic BlockAckReq, compressed BlockAckReq and GCR BlockAckReq are supported.
+ *  Basic BlockAckReq is the default variant.
  */
 class CtrlBAckRequestHeader : public Header
 {
@@ -43,8 +43,8 @@
     CtrlBAckRequestHeader();
     ~CtrlBAckRequestHeader() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -57,89 +57,89 @@
     /**
      * Enable or disable HT immediate Ack.
      *
-     * \param immediateAck enable or disable HT immediate Ack
+     * @param immediateAck enable or disable HT immediate Ack
      */
     void SetHtImmediateAck(bool immediateAck);
     /**
      * Set the BlockAckRequest type.
      *
-     * \param type the BlockAckRequest type
+     * @param type the BlockAckRequest type
      */
     void SetType(BlockAckReqType type);
     /**
      * Set Traffic ID (TID).
      *
-     * \param tid the TID
+     * @param tid the TID
      */
     void SetTidInfo(uint8_t tid);
     /**
      * Set the starting sequence number from the given
      * raw sequence control field.
      *
-     * \param seq the raw sequence control
+     * @param seq the raw sequence control
      */
     void SetStartingSequence(uint16_t seq);
+    /**
+     * Set the GCR Group address (GCR variant only).
+     *
+     * @param address the GCR Group Address
+     */
+    void SetGcrGroupAddress(const Mac48Address& address);
 
     /**
      * Check if the current Ack Policy is immediate.
      *
-     * \return true if the current Ack Policy is immediate,
+     * @return true if the current Ack Policy is immediate,
      *         false otherwise
      */
     bool MustSendHtImmediateAck() const;
     /**
      * Return the BlockAckRequest type.
      *
-     * \return the type of the BlockAckRequest
+     * @return the type of the BlockAckRequest
      */
     BlockAckReqType GetType() const;
     /**
      * Return the Traffic ID (TID).
      *
-     * \return TID
+     * @return TID
      */
     uint8_t GetTidInfo() const;
     /**
      * Return the starting sequence number.
      *
-     * \return the starting sequence number
+     * @return the starting sequence number
      */
     uint16_t GetStartingSequence() const;
     /**
-     * Check if the current Ack Policy is Basic Block Ack
-     * (i.e. not multi-TID nor compressed).
-     *
-     * \return true if the current Ack Policy is Basic Block Ack,
-     *         false otherwise
+     * @return the GCR Group Address (GCR variant only)
+     */
+    Mac48Address GetGcrGroupAddress() const;
+    /**
+     * @return whether the variant of this BlockAckReq is Basic
      */
     bool IsBasic() const;
     /**
-     * Check if the current Ack Policy is Compressed Block Ack
-     * and not multi-TID.
-     *
-     * \return true if the current Ack Policy is Compressed Block Ack,
-     *         false otherwise
+     * @return whether the variant of this BlockAckReq is Compressed
      */
     bool IsCompressed() const;
     /**
-     * Check if the current Ack Policy is Extended Compressed Block Ack.
-     *
-     * \return true if the current Ack Policy is Extended Compressed Block Ack,
-     *         false otherwise
+     * @return whether the variant of this BlockAckReq is Extended Compressed
      */
     bool IsExtendedCompressed() const;
     /**
-     * Check if the current Ack Policy has Multi-TID Block Ack.
-     *
-     * \return true if the current Ack Policy has Multi-TID Block Ack,
-     *         false otherwise
+     * @return whether the variant of this BlockAckReq is Multi-TID
      */
     bool IsMultiTid() const;
+    /**
+     * @return whether the variant of this BlockAckReq is GCR
+     */
+    bool IsGcr() const;
 
     /**
      * Return the starting sequence control.
      *
-     * \return the starting sequence control
+     * @return the starting sequence control
      */
     uint16_t GetStartingSequenceControl() const;
 
@@ -148,19 +148,19 @@
      * Set the starting sequence control with the given
      * sequence control value
      *
-     * \param seqControl the sequence control value
+     * @param seqControl the sequence control value
      */
     void SetStartingSequenceControl(uint16_t seqControl);
     /**
      * Return the Block Ack control.
      *
-     * \return the Block Ack control
+     * @return the Block Ack control
      */
     uint16_t GetBarControl() const;
     /**
      * Set the Block Ack control.
      *
-     * \param bar the BAR control value
+     * @param bar the BAR control value
      */
     void SetBarControl(uint16_t bar);
 
@@ -174,17 +174,20 @@
     BlockAckReqType m_barType; ///< BAR type
     uint16_t m_tidInfo;        ///< TID info
     uint16_t m_startingSeq;    ///< starting seq
+    Mac48Address m_gcrAddress; ///< GCR Group Address (GCR variant only)
 };
 
 /**
- * \ingroup wifi
- * \brief Headers for BlockAck response.
+ * @ingroup wifi
+ * @brief Headers for BlockAck response.
  *
- *  802.11n standard includes three types of BlockAck:
+ *  802.11 standard includes multiple BlockAck variants:
  *    - Basic BlockAck (unique type in 802.11e)
  *    - Compressed BlockAck
  *    - Multi-TID BlockAck
- *  For now only basic BlockAck and compressed BlockAck
+ *    - GCR BlockAck
+ *    - Multi-STA BlockAck
+ *  For now only basic BlockAck, compressed BlockAck, GCR BlockAck and Multi-STA BlockAck
  *  are supported.
  *  Basic BlockAck is also default variant.
  */
@@ -194,8 +197,8 @@
     CtrlBAckResponseHeader();
     ~CtrlBAckResponseHeader() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -207,13 +210,13 @@
     /**
      * Enable or disable HT immediate Ack.
      *
-     * \param immediateAck enable or disable HT immediate Ack
+     * @param immediateAck enable or disable HT immediate Ack
      */
     void SetHtImmediateAck(bool immediateAck);
     /**
      * Set the block ack type.
      *
-     * \param type the BA type
+     * @param type the BA type
      */
     void SetType(BlockAckType type);
     /**
@@ -222,8 +225,8 @@
      * AID TID Info subfield of the Per AID TID Info subfield identified by the given
      * index.
      *
-     * \param tid the traffic ID
-     * \param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
+     * @param tid the traffic ID
+     * @param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
      */
     void SetTidInfo(uint8_t tid, std::size_t index = 0);
     /**
@@ -232,22 +235,28 @@
      * number in the Per AID TID Info subfield identified by the given index to the
      * given value.
      *
-     * \param seq the starting sequence number
-     * \param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
+     * @param seq the starting sequence number
+     * @param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
      */
     void SetStartingSequence(uint16_t seq, std::size_t index = 0);
+    /**
+     * Set the GCR Group address (GCR variant only).
+     *
+     * @param address the GCR Group Address
+     */
+    void SetGcrGroupAddress(const Mac48Address& address);
 
     /**
      * Check if the current Ack Policy is immediate.
      *
-     * \return true if the current Ack Policy is immediate,
+     * @return true if the current Ack Policy is immediate,
      *         false otherwise
      */
     bool MustSendHtImmediateAck() const;
     /**
      * Return the block ack type ID.
      *
-     * \return type
+     * @return type
      */
     BlockAckType GetType() const;
     /**
@@ -256,8 +265,8 @@
      * AID TID Info subfield of the Per AID TID Info subfield identified by the given
      * index.
      *
-     * \param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
-     * \return the Traffic ID
+     * @param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
+     * @return the Traffic ID
      */
     uint8_t GetTidInfo(std::size_t index = 0) const;
     /**
@@ -265,43 +274,36 @@
      * number. For Multi-STA Block Acks, get the starting sequence number in the
      * Per AID TID Info subfield identified by the given index.
      *
-     * \param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
-     * \return the starting sequence number
+     * @param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
+     * @return the starting sequence number
      */
     uint16_t GetStartingSequence(std::size_t index = 0) const;
     /**
-     * Check if the current BA policy is Basic Block Ack.
-     *
-     * \return true if the current BA policy is Basic Block Ack,
-     *         false otherwise
+     * @return the GCR Group Address (GCR variant only)
+     */
+    Mac48Address GetGcrGroupAddress() const;
+    /**
+     * @return whether the variant of this BlockAckReq is Basic
      */
     bool IsBasic() const;
     /**
-     * Check if the current BA policy is Compressed Block Ack.
-     *
-     * \return true if the current BA policy is Compressed Block Ack,
-     *         false otherwise
+     * @return whether the variant of this BlockAckReq is Compressed
      */
     bool IsCompressed() const;
     /**
-     * Check if the current BA policy is Extended Compressed Block Ack.
-     *
-     * \return true if the current BA policy is Extended Compressed Block Ack,
-     *         false otherwise
+     * @return whether the variant of this BlockAckReq is Extended Compressed
      */
     bool IsExtendedCompressed() const;
     /**
-     * Check if the current BA policy is Multi-TID Block Ack.
-     *
-     * \return true if the current BA policy is Multi-TID Block Ack,
-     *         false otherwise
+     * @return whether the variant of this BlockAckReq is Multi-TID
      */
     bool IsMultiTid() const;
     /**
-     * Check if the BlockAck frame variant is Multi-STA Block Ack.
-     *
-     * \return true if the BlockAck frame variant is Multi-STA Block Ack,
-     *         false otherwise
+     * @return whether the variant of this BlockAckReq is GCR
+     */
+    bool IsGcr() const;
+    /**
+     * @return whether the variant of this BlockAckReq is Multi-STA
      */
     bool IsMultiSta() const;
 
@@ -309,32 +311,32 @@
      * For Multi-STA Block Acks, set the AID11 subfield of the Per AID TID Info
      * subfield identified by the given index to the given value
      *
-     * \param aid the AID11 value
-     * \param index the index of the Per AID TID Info subfield
+     * @param aid the AID11 value
+     * @param index the index of the Per AID TID Info subfield
      */
     void SetAid11(uint16_t aid, std::size_t index);
     /**
      * For Multi-STA Block Acks, get the AID11 subfield of the Per AID TID Info
      * subfield identified by the given index.
      *
-     * \param index the index of the Per AID TID Info subfield
-     * \return the AID11 subfield
+     * @param index the index of the Per AID TID Info subfield
+     * @return the AID11 subfield
      */
     uint16_t GetAid11(std::size_t index) const;
     /**
      * For Multi-STA Block Acks, set the Ack Type subfield of the Per AID TID Info
      * subfield identified by the given index to the given value
      *
-     * \param type the ack type value
-     * \param index the index of the Per AID TID Info subfield
+     * @param type the ack type value
+     * @param index the index of the Per AID TID Info subfield
      */
     void SetAckType(bool type, std::size_t index);
     /**
      * For Multi-STA Block Acks, get the Ack Type subfield of the Per AID TID Info
      * subfield identified by the given index.
      *
-     * \param index the index of the Per AID TID Info subfield
-     * \return the Ack Type
+     * @param index the index of the Per AID TID Info subfield
+     * @return the Ack Type
      */
     bool GetAckType(std::size_t index) const;
     /**
@@ -342,8 +344,8 @@
      * subfield (with AID11 subfield equal to 2045) identified by the given index
      * to the given MAC address.
      *
-     * \param ra the MAC address
-     * \param index the index of the Per AID TID Info subfield
+     * @param ra the MAC address
+     * @param index the index of the Per AID TID Info subfield
      */
     void SetUnassociatedStaAddress(const Mac48Address& ra, std::size_t index);
     /**
@@ -351,23 +353,23 @@
      * subfield (with AID11 subfield equal to 2045) identified by the given index
      * to the given MAC address.
      *
-     * \param index the index of the Per AID TID Info subfield
-     * \return the MAC address stored in the RA subfield
+     * @param index the index of the Per AID TID Info subfield
+     * @return the MAC address stored in the RA subfield
      */
     Mac48Address GetUnassociatedStaAddress(std::size_t index) const;
     /**
      * For Multi-STA Block Acks, get the number of Per AID TID Info subfields
      * included in this Block Ack.
      *
-     * \return the number of Per AID TID Info subfields included in this Multi-STA Block Ack
+     * @return the number of Per AID TID Info subfields included in this Multi-STA Block Ack
      */
     std::size_t GetNPerAidTidInfoSubfields() const;
     /**
      * For Multi-STA Block Acks, get the indices of the Per AID TID Info subfields
      * carrying the given AID in the AID11 subfield.
      *
-     * \param aid the given AID
-     * \return a vector containing the indices of the Per AID TID Info subfields
+     * @param aid the given AID
+     * @return a vector containing the indices of the Per AID TID Info subfields
      *         carrying the given AID in the AID11 subfield
      */
     std::vector<uint32_t> FindPerAidTidInfoWithAid(uint16_t aid) const;
@@ -377,16 +379,16 @@
      * received. For Multi-STA Block Acks, <i>index</i> identifies the Per AID
      * TID Info subfield whose bitmap has to be updated.
      *
-     * \param seq the sequence number of the received packet
-     * \param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
+     * @param seq the sequence number of the received packet
+     * @param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
      */
     void SetReceivedPacket(uint16_t seq, std::size_t index = 0);
     /**
      * Set the bitmap that the packet with the given sequence
      * number and fragment number was received.
      *
-     * \param seq the sequence number
-     * \param frag the fragment number
+     * @param seq the sequence number
+     * @param frag the fragment number
      */
     void SetReceivedFragment(uint16_t seq, uint8_t frag);
     /**
@@ -394,9 +396,9 @@
      * BlockAck response. For Multi-STA Block Acks, <i>index</i> identifies the
      * Per AID TID Info subfield whose bitmap has to be checked.
      *
-     * \param seq the sequence number to be checked
-     * \param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
-     * \return true if the packet with the given sequence number
+     * @param seq the sequence number to be checked
+     * @param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
+     * @return true if the packet with the given sequence number
      *         was ACKed in this BlockAck response, false otherwise
      */
     bool IsPacketReceived(uint16_t seq, std::size_t index = 0) const;
@@ -404,9 +406,9 @@
      * Check if the packet with the given sequence number
      * and fragment number was acknowledged in this BlockAck response.
      *
-     * \param seq the sequence number
-     * \param frag the fragment number
-     * \return true if the packet with the given sequence number
+     * @param seq the sequence number
+     * @param frag the fragment number
+     * @return true if the packet with the given sequence number
      *         and sequence number was acknowledged in this BlockAck response,
      *         false otherwise
      */
@@ -417,8 +419,8 @@
      * Block Acks, <i>index</i> identifies the Per AID TID Info subfield whose
      * Starting Sequence Control subfield has to be returned.
      *
-     * \param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
-     * \return the value of the Starting Sequence Control subfield
+     * @param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
+     * @return the value of the Starting Sequence Control subfield
      */
     uint16_t GetStartingSequenceControl(std::size_t index = 0) const;
     /**
@@ -426,8 +428,8 @@
      * value. For Multi-STA Block Acks, <i>index</i> identifies the Per AID TID Info
      * subfield whose Starting Sequence Control subfield has to be set.
      *
-     * \param seqControl the raw sequence control value
-     * \param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
+     * @param seqControl the raw sequence control value
+     * @param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
      */
     void SetStartingSequenceControl(uint16_t seqControl, std::size_t index = 0);
     /**
@@ -435,8 +437,8 @@
      * For Multi-STA Block Acks, return a const reference to the bitmap included
      * in the Per AID TID Info subfield identified by <i>index</i>.
      *
-     * \param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
-     * \return a const reference to the bitmap from the BlockAck response header
+     * @param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
+     * @return a const reference to the bitmap from the BlockAck response header
      */
     const std::vector<uint8_t>& GetBitmap(std::size_t index = 0) const;
 
@@ -444,7 +446,7 @@
      * Reset the bitmap to 0. For Multi-STA Block Acks, reset the bitmap included
      * in the Per AID TID Info subfield identified by <i>index</i>.
      *
-     * \param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
+     * @param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
      */
     void ResetBitmap(std::size_t index = 0);
 
@@ -452,13 +454,13 @@
     /**
      * Return the Block Ack control.
      *
-     * \return the Block Ack control
+     * @return the Block Ack control
      */
     uint16_t GetBaControl() const;
     /**
      * Set the Block Ack control.
      *
-     * \param ba the BA control to set
+     * @param ba the BA control to set
      */
     void SetBaControl(uint16_t ba);
 
@@ -466,18 +468,18 @@
      * Serialize bitmap to the given buffer. For Multi-STA Block Acks, <i>index</i>
      * identifies the Per AID TID Info subfield whose bitmap has to be serialized.
      *
-     * \param start iterator pointing to the beginning of the buffer to write into.
-     * \param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
-     * \return Buffer::Iterator to the next available buffer
+     * @param start iterator pointing to the beginning of the buffer to write into.
+     * @param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
+     * @return Buffer::Iterator to the next available buffer
      */
     Buffer::Iterator SerializeBitmap(Buffer::Iterator start, std::size_t index = 0) const;
     /**
      * Deserialize bitmap from the given buffer. For Multi-STA Block Acks, <i>index</i>
      * identifies the Per AID TID Info subfield whose bitmap has to be deserialized.
      *
-     * \param start iterator pointing to the beginning of the buffer to read from.
-     * \param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
-     * \return Buffer::Iterator to the next available buffer
+     * @param start iterator pointing to the beginning of the buffer to read from.
+     * @param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
+     * @return Buffer::Iterator to the next available buffer
      */
     Buffer::Iterator DeserializeBitmap(Buffer::Iterator start, std::size_t index = 0);
 
@@ -487,10 +489,10 @@
      *
      * for more details see 7.2.1.8 in IEEE 802.11n/D4.00
      *
-     * \param seq the sequence number
-     * \param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
+     * @param seq the sequence number
+     * @param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
      *
-     * \return If we are using basic block ack, return value represents index of
+     * @return If we are using basic block ack, return value represents index of
      * block of 16 bits for packet having sequence number equals to <i>seq</i>.
      * If we are using compressed block ack, return value represents bit
      * to set to 1 in the compressed bitmap to indicate that packet having
@@ -503,9 +505,9 @@
      * Multi-STA Block Acks, check if sequence number <i>seq</i> can be acknowledged
      * in the bitmap included in the Per AID TID Info subfield identified by <i>index</i>.
      *
-     * \param seq the sequence number
-     * \param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
-     * \return true if the sequence number is concerned by the bitmap
+     * @param seq the sequence number
+     * @param index the index of the Per AID TID Info subfield (Multi-STA Block Ack only)
+     * @return true if the sequence number is concerned by the bitmap
      */
     bool IsInBitmap(uint16_t seq, std::size_t index = 0) const;
 
@@ -534,15 +536,16 @@
                                        //!< AID TID Info subfield for Multi-STA
         uint16_t m_startingSeq;        //!< Block Ack Starting Sequence Control subfield
         std::vector<uint8_t> m_bitmap; //!< block ack bitmap
-        Mac48Address m_ra;             //!< RA subfield (address of an unassociated station)
-                                       //!< for Multi-STA; reserved for other variants
+        Mac48Address m_address;        //!< RA subfield (address of an unassociated station) for
+                                       //!< Multi-STA variant; GCR Group Address subfield for GCR
+                                       //!< variant; reserved for other variants
     };
 
     std::vector<BaInfoInstance> m_baInfo; //!< BA Information field
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * The different Trigger frame types.
  */
 enum class TriggerFrameType : uint8_t
@@ -558,7 +561,7 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * The different variants for Common Info field and User Info field of Trigger Frames.
  */
 enum class TriggerFrameVariant : uint8_t
@@ -568,8 +571,8 @@
 };
 
 /**
- * \ingroup wifi
- * \brief User Info field of Trigger frames.
+ * @ingroup wifi
+ * @brief User Info field of Trigger frames.
  *
  * Trigger frames, introduced by 802.11ax amendment (see Section 9.3.1.23 of D3.0),
  * include one or more User Info fields, each of which carries information about the
@@ -581,15 +584,15 @@
     /**
      * Constructor
      *
-     * \param triggerType the Trigger frame type
-     * \param variant the Trigger Frame variant
+     * @param triggerType the Trigger frame type
+     * @param variant the Trigger Frame variant
      */
     CtrlTriggerUserInfoField(TriggerFrameType triggerType, TriggerFrameVariant variant);
     /**
      * Copy assignment operator.
      *
-     * \param userInfo the User Info field to copy
-     * \return a reference to the copied object
+     * @param userInfo the User Info field to copy
+     * @return a reference to the copied object
      *
      * Checks that the given User Info fields is included in the same type
      * of Trigger Frame.
@@ -602,39 +605,39 @@
     /**
      * Print the content of this User Info field
      *
-     * \param os output stream
+     * @param os output stream
      */
     void Print(std::ostream& os) const;
     /**
      * Get the expected size of this User Info field
      *
-     * \return the expected size of this User Info field.
+     * @return the expected size of this User Info field.
      */
     uint32_t GetSerializedSize() const;
     /**
      * Serialize the User Info field to the given buffer.
      *
-     * \param start an iterator which points to where the header should
+     * @param start an iterator which points to where the header should
      *        be written
-     * \return Buffer::Iterator to the next available buffer
+     * @return Buffer::Iterator to the next available buffer
      */
     Buffer::Iterator Serialize(Buffer::Iterator start) const;
     /**
      * Deserialize the User Info field from the given buffer.
      *
-     * \param start an iterator which points to where the header should
+     * @param start an iterator which points to where the header should
      *        read from
-     * \return Buffer::Iterator to the next available buffer
+     * @return Buffer::Iterator to the next available buffer
      */
     Buffer::Iterator Deserialize(Buffer::Iterator start);
     /**
      * Get the type of the Trigger Frame this User Info field belongs to.
      *
-     * \return the type of the Trigger Frame this User Info field belongs to
+     * @return the type of the Trigger Frame this User Info field belongs to
      */
     TriggerFrameType GetType() const;
     /**
-     * \return the preamble type of the TB PPDU solicited by this User Info field.
+     * @return the preamble type of the TB PPDU solicited by this User Info field.
      */
     WifiPreamble GetPreambleType() const;
     /**
@@ -642,41 +645,41 @@
      * station for which this User Info field is intended. The whole AID can
      * be passed, since the passed value is properly masked.
      *
-     * \param aid the value for the AID12 subfield
+     * @param aid the value for the AID12 subfield
      */
     void SetAid12(uint16_t aid);
     /**
      * Get the value of the AID12 subfield.
      *
-     * \return the AID12 subfield
+     * @return the AID12 subfield
      */
     uint16_t GetAid12() const;
     /**
      * Check if this User Info field allocates a Random Access RU for stations
      * associated with the AP that transmitted the Trigger frame.
      *
-     * \return true if a Random Access RU for associated stations is allocated
+     * @return true if a Random Access RU for associated stations is allocated
      */
     bool HasRaRuForAssociatedSta() const;
     /**
      * Check if this User Info field allocates a Random Access RU for stations
      * not associated with the AP that transmitted the Trigger frame.
      *
-     * \return true if a Random Access RU for unassociated stations is allocated
+     * @return true if a Random Access RU for unassociated stations is allocated
      */
     bool HasRaRuForUnassociatedSta() const;
     /**
      * Set the RU Allocation subfield according to the specified RU.
      * This method cannot be called on MU-RTS Trigger Frames (call SetMuRtsRuAllocation instead).
      *
-     * \param ru the RU this User Info field is allocating
+     * @param ru the RU this User Info field is allocating
      */
     void SetRuAllocation(HeRu::RuSpec ru);
     /**
      * Get the RU specified by the RU Allocation subfield.
      * This method cannot be called on MU-RTS Trigger Frames (call GetMuRtsRuAllocation instead).
      *
-     * \return the RU this User Info field is allocating
+     * @return the RU this User Info field is allocating
      */
     HeRu::RuSpec GetRuAllocation() const;
     /**
@@ -706,51 +709,51 @@
      * B7–B1 of the RU Allocation subfield is set to 68 to indicate the primary and secondary
      * 80 MHz channel.
      *
-     * \param value the value for B7–B1 of the RU Allocation subfield
+     * @param value the value for B7–B1 of the RU Allocation subfield
      */
     void SetMuRtsRuAllocation(uint8_t value);
     /**
      * This method can only be called on MU-RTS Trigger Frames.
      *
-     * \return the value of B7–B1 of the RU Allocation subfield (\see SetMuRtsRuAllocation)
+     * @return the value of B7–B1 of the RU Allocation subfield (\see SetMuRtsRuAllocation)
      */
     uint8_t GetMuRtsRuAllocation() const;
     /**
      * Set the UL FEC Coding Type subfield, which indicates whether BCC or LDPC is used
      *
-     * \param ldpc whether to use LDPC or not
+     * @param ldpc whether to use LDPC or not
      */
     void SetUlFecCodingType(bool ldpc);
     /**
      * Get the UL FEC Coding Type subfield, which indicates whether BCC or LDPC is used
      *
-     * \return true if LDPC is used
+     * @return true if LDPC is used
      */
     bool GetUlFecCodingType() const;
     /**
      * Set the UL MCS subfield, which indicates the MCS of the solicited HE TB PPDU
      *
-     * \param mcs the MCS index (a value between 0 and 11)
+     * @param mcs the MCS index (a value between 0 and 11)
      */
     void SetUlMcs(uint8_t mcs);
     /**
      * Get the UL MCS subfield, which indicates the MCS of the solicited HE TB PPDU
      *
-     * \return the MCS index (a value between 0 and 11)
+     * @return the MCS index (a value between 0 and 11)
      */
     uint8_t GetUlMcs() const;
     /**
      * Set the UL DCM subfield, which indicates whether or not DCM is used.
      * This method can only be used with HE variant User Info field.
      *
-     * \param dcm whether to use DCM or not
+     * @param dcm whether to use DCM or not
      */
     void SetUlDcm(bool dcm);
     /**
      * Get the UL DCM subfield, which indicates whether or not DCM is used
      * This method can only be used with HE variant User Info field.
      *
-     * \return true if DCM is used
+     * @return true if DCM is used
      */
     bool GetUlDcm() const;
     /**
